org.apache.cassandra.db.composites

## Class CompoundCType.CompoundCBuilder

- java.lang.Object
- - org.apache.cassandra.db.composites.CompoundCType.CompoundCBuilder

All Implemented Interfaces:
  CBuilder

Enclosing class:
  CompoundCType

    public static class CompoundCType.CompoundCBuilder
    extends java.lang.Object
    implements CBuilder

### Constructor Summary

Constructors
Constructor and Description
`CompoundCBuilder(CType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CBuilder` `add(java.nio.ByteBuffer value)`
`CBuilder` `add(java.lang.Object value)`
`Composite` `build()`
`Composite` `buildWith(java.nio.ByteBuffer value)`
`Composite` `buildWith(java.util.List<java.nio.ByteBuffer> newValues)`
`int` `remainingCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompoundCBuilder

    public CompoundCBuilder(CType type)

### Method Detail

#### remainingCount

    public int remainingCount()

Specified by:
  `remainingCount` in interface `CBuilder`

#### add

    public CBuilder add(java.nio.ByteBuffer value)

Specified by:
  `add` in interface `CBuilder`

#### add

    public CBuilder add(java.lang.Object value)

Specified by:
  `add` in interface `CBuilder`

#### build

    public Composite build()

Specified by:
  `build` in interface `CBuilder`

#### buildWith

    public Composite buildWith(java.nio.ByteBuffer value)

Specified by:
  `buildWith` in interface `CBuilder`

#### buildWith

    public Composite buildWith(java.util.List<java.nio.ByteBuffer> newValues)

Specified by:
  `buildWith` in interface `CBuilder`